> ## Documentation Index
> Fetch the complete documentation index at: https://docs.benzinga.com/llms.txt
> Use this file to discover all available pages before exploring further.

# FDA

> Returns FDA approvals, clinical trials, and PDUFA (Prescription Drug User Fee Act) dates for pharmaceutical and biotech companies. Includes information about drug development stages, trial results, approval outcomes, and regulatory milestones.

<ResponseExample>
  ```json Response (200 OK) theme={null}
  {
    "fda": [
      {
        "commentary": "",
        "companies": [
          {
            "cik": "",
            "id": "62b3773a118ebc0001427b67",
            "name": "Alpha Tau Medical Ltd.",
            "securities": [
              {
                "exchange": "NASDAQ",
                "symbol": "DRTS"
              }
            ]
          }
        ],
        "created": 1767621777,
        "date": "2026-01-05",
        "drug": {
          "generic": false,
          "id": "62b3771c9c3cd100011418ce",
          "indication_symptom": [
            "Prostate cancer"
          ],
          "name": "Alpha DaRT"
        },
        "event_type": "Provided Update",
        "id": "695bc49183cac20001bec514",
        "nic_number": "",
        "notes": "",
        "outcome": "Alpha Tau Medical Ltd.  announced the submission of the first module of its pre-market approval (PMA) application to the U.S. Food and Drug Administration (FDA), following the FDA's previous decision to allow the Company to use the more flexible modular approach.",
        "outcome_brief": "",
        "source_link": "https://www.benzinga.com/pressreleases/26/01/g49690927/alpha-tau-submits-first-pre-market-approval-module-to-the-fda-for-alpha-dart-for-the-treatment-of-",
        "source_type": "Press Release",
        "status": "",
        "target_date": "",
        "time": "09:00:00",
        "updated": 1767621823
      }
    ]
  }
  ```

  ```json Response (401 Unauthorized) theme={null}
  {
    "ok": false,
    "errors": [
      {
        "code": "auth_failed",
        "id": "unauthorized",
        "value": "Invalid or missing authentication token"
      }
    ]
  }
  ```

  ```json Response (404 Not Found) theme={null}
  {
    "ok": false,
    "errors": [
      {
        "code": "no_data_found",
        "id": "not_found",
        "value": "No data found for the specified parameters"
      }
    ]
  }
  ```

  ```json Response (500 Internal Server Error) theme={null}
  {
    "ok": false,
    "errors": [
      {
        "code": "internal_server_error",
        "id": "server_error",
        "value": "An unexpected error occurred while processing your request"
      }
    ]
  }
  ```
</ResponseExample>


## OpenAPI

````yaml openapi/calendar-api.spec.yml GET /api/v2.1/calendar/fda
openapi: 3.0.0
info:
  contact: {}
  description: >-
    This REST API returns structured data for conference calls, dividends,
    earnings (and future earnings dates), economics, pharmaceutical
    announcements, guidance, IPOs, secondary offerings, ratings, M&A activity,
    and splits.
  termsOfService: http://swagger.io/terms/
  title: Calendar API
  version: 2.1.0
servers:
  - url: https://api.benzinga.com
    description: PROD
security: []
paths:
  /api/v2.1/calendar/fda:
    get:
      tags:
        - fda
      summary: FDA approvals, clinical trials, and PDUFA dates
      description: >-
        Returns FDA approvals, clinical trials, and PDUFA (Prescription Drug
        User Fee Act) dates for pharmaceutical and biotech companies. Includes
        information about drug development stages, trial results, approval
        outcomes, and regulatory milestones.
      operationId: get-fda
      parameters:
        - description: >-
            Specifies return format. Query parameters work the same for both
            formats
          in: header
          name: accept
          required: true
          schema:
            type: string
            enum:
              - application/json
            default: application/json
        - description: >-
            Page offset. For optimization, performance and technical reasons,
            page offsets are limited from 0 - 100000. Limit the query results by
            other parameters such as date
          in: query
          name: page
          schema:
            type: integer
            default: 0
        - description: Number of results returned. Limit 1000
          in: query
          name: pagesize
          schema:
            type: integer
        - description: >-
            Date to query for calendar data. Shorthand for date_from and date_to
            if they are the same. Defaults for latest
          in: query
          name: parameters[date]
          schema:
            type: string
            format: YYYY-MM-DD
        - description: Date to query from point in time
          in: query
          name: parameters[date_from]
          schema:
            type: string
            format: YYYY-MM-DD
        - description: Date to query to point in time
          in: query
          name: parameters[date_to]
          schema:
            type: string
            format: YYYY-MM-DD
        - description: Date to filter and sort calendar by. Default is `announced`
          in: query
          name: parameters[date_search_field]
          schema:
            type: string
            enum:
              - announced
              - target
            default: announced
        - description: >-
            Some date fields (such as the FDA calendar target date) include
            fuzzy dates such as 2021-Q1. When filtering, you may choose to allow
            fuzzy date matching, or strict date matching that searches for ONLY
            dates that have an exact match within the given date period. Default
            `TRUE`
          in: query
          name: parameters[date_search_strict]
          schema:
            type: boolean
            default: true
        - description: >-
            One or more security identifiers separated by a comma. Maximum 50
            securities. Security identifiers must be in the format of ticker
            symbols, only for US-listed equities
          in: query
          name: parameters[securities]
          schema:
            type: string
            format: csv
        - description: >-
            Records last Updated Unix timestamp (UTC). This will force the sort
            order to be Greater Than or Equal to the timestamp indicated
          in: query
          name: parameters[updated]
          schema:
            type: integer
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/api.FDAResponse'
            text/xml:
              schema:
                $ref: '#/components/schemas/api.FDAResponse'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/api.ErrorResponse'
            text/xml:
              schema:
                $ref: '#/components/schemas/api.ErrorResponse'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/api.ErrorResponse'
            text/xml:
              schema:
                $ref: '#/components/schemas/api.ErrorResponse'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    api.FDAResponse:
      description: API response containing an array of FDA event records
      properties:
        fda:
          description: Array of FDA event records
          items:
            $ref: >-
              #/components/schemas/gitlab_benzinga_io_benzinga_bzgo_pkg_models_calendar-api.FDA
          type: array
      type: object
    api.ErrorResponse:
      properties:
        text:
          type: string
      type: object
    gitlab_benzinga_io_benzinga_bzgo_pkg_models_calendar-api.FDA:
      properties:
        commentary:
          description: Additional commentary or analysis
          example: Approval was expected based on positive Phase 3 results
          type: string
        companies:
          description: Companies involved in the FDA event
          items:
            $ref: >-
              #/components/schemas/gitlab_benzinga_io_benzinga_bzgo_pkg_models_calendar-api.Company
          type: array
        created:
          description: Unix timestamp when record was created
          example: 1704819000
          type: integer
        date:
          description: Date of the FDA event
          example: '2024-01-09'
          type: string
        drug:
          allOf:
            - $ref: >-
                #/components/schemas/gitlab_benzinga_io_benzinga_bzgo_pkg_models_calendar-api.Drug
          description: Drug information
        event_type:
          description: Type of FDA event (PDUFA, AdComm, Approval, Rejection)
          example: PDUFA
          type: string
        id:
          description: Unique identifier for the FDA event record
          example: 60a7f5e8e4b0f5a3c8e9f5bd
          type: string
        nic_number:
          description: >-
            New Drug Application (NDA) or Biologics License Application (BLA)
            number
          example: '022527'
          type: string
        notes:
          description: Additional notes
          example: Breakthrough therapy designation
          type: string
        outcome:
          description: Detailed outcome information
          example: FDA approved the drug for treatment of condition X
          type: string
        outcome_brief:
          description: Brief outcome description
          example: Approved
          type: string
        source_link:
          description: URL to source information
          example: https://www.fda.gov/drugs/news-events
          type: string
        source_type:
          description: Source of the information (FDA, Company, News)
          example: FDA
          type: string
        status:
          description: Status of the FDA event (Pending, Approved, Rejected)
          example: Pending
          type: string
        target_date:
          description: FDA target action date (PDUFA date)
          example: '2024-03-15'
          type: string
        time:
          description: Time of the FDA event (EST)
          example: '00:00:00'
          type: string
        updated:
          description: Unix timestamp of last update
          example: 1704819600
          type: integer
      type: object
    gitlab_benzinga_io_benzinga_bzgo_pkg_models_calendar-api.Company:
      properties:
        cik:
          description: SEC Central Index Key
          example: '1682852'
          type: string
        id:
          description: Unique identifier for the company
          example: 60a7f5e8e4b0f5a3c8e9f5be
          type: string
        name:
          description: Company name
          example: Moderna Inc.
          type: string
        securities:
          description: Securities associated with the company
          items:
            $ref: >-
              #/components/schemas/gitlab_benzinga_io_benzinga_bzgo_pkg_models_calendar-api.Security
          type: array
      type: object
    gitlab_benzinga_io_benzinga_bzgo_pkg_models_calendar-api.Drug:
      properties:
        generic:
          description: Whether the drug is generic (null if unknown)
          example: false
          type: boolean
        id:
          description: Unique identifier for the drug
          example: 60a7f5e8e4b0f5a3c8e9f5bf
          type: string
        indication_symptom:
          description: Indications or symptoms the drug treats
          example:
            - '["COVID-19"]'
          items:
            type: string
          type: array
        name:
          description: Drug name (brand or generic)
          example: Spikevax
          type: string
      type: object
    gitlab_benzinga_io_benzinga_bzgo_pkg_models_calendar-api.Security:
      properties:
        exchange:
          description: Stock exchange where the security is traded
          example: NASDAQ
          type: string
        symbol:
          description: Stock ticker symbol
          example: MRNA
          type: string
      type: object
  securitySchemes:
    ApiKeyAuth:
      in: query
      name: token
      type: apiKey

````